## itinerary 25.08.1+p24.04+vstable+git20251003.1115

=== debian/changelog ===
itinerary (25.08.1+p24.04+vstable+git20251003.1115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 11:15:56 +0000
