## itinerary 25.08.2+p24.04+vstable+git20251011.1108

=== debian/changelog ===
itinerary (25.08.2+p24.04+vstable+git20251011.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 11:08:48 +0000

itinerary (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:44:14 +0000
