## itinerary 25.08.2+p24.04+vstable+git20251021.0238

=== debian/changelog ===
itinerary (25.08.2+p24.04+vstable+git20251021.0238-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 02:38:39 +0000
