## itinerary 25.08.2+p24.04+vstable+git20251023.0021

=== debian/changelog ===
itinerary (25.08.2+p24.04+vstable+git20251023.0021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:21:13 +0000
