## itinerary 25.08.2+p24.04+vstable+git20251028.1042

=== debian/changelog ===
itinerary (25.08.2+p24.04+vstable+git20251028.1042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:42:48 +0000
