=== debian/control ===
Source: itinerary
Section: misc
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcontacts-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kfilemetadata-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-knotifications-dev,
               kf6-kunitconversion-dev,
               kf6-kwindowsystem-dev,
               kf6-networkmanager-qt-dev,
               kf6-prison-dev,
               kf6-qqc2-desktop-style-dev,
               kosmindoormap-dev,
               kpim6-itinerary-dev,
               kpim6-pkpass-dev,
               libkhealthcertificate-dev,
               libkpublictransport-dev,
               libquotient-qt6-dev,
               qml6-module-org-kde-i18n-localedata,
               qml6-module-org-kde-kitemmodels,
               qml6-module-org-kde-kopeninghours,
               qml6-module-org-kde-kosmindoormap,
               qml6-module-org-kde-kpublictransport,
               qml6-module-org-kde-prison,
               qml6-module-org-kde-solid,
               qml6-module-qt-labs-platform,
               qml6-module-qtlocation,
               qml6-module-qtmultimedia,
               qml6-module-qtpositioning,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-location-dev,
               qt6-positioning-dev,
               qtkeychain-qt6-dev,
               shared-mime-info,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/extras/itinerary.git
Vcs-Browser: https://invent.kde.org/neon/extras/itinerary
Maintainer: Neon CI <neon@kde.org>

Package: itinerary
Architecture: any
Depends: python3-flask,
         python3-lxml,
         qml6-module-org-kde-i18n-localedata,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kopeninghours,
         qml6-module-org-kde-kosmindoormap,
         qml6-module-org-kde-kpublictransport,
         qml6-module-org-kde-prison,
         qml6-module-org-kde-solid,
         qml6-module-qt-labs-platform,
         qml6-module-qtlocation,
         qml6-module-qtmultimedia,
         qml6-module-qtpositioning,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Travel itinerary application.
 Getting your itinerary presented in a unified,
 well structured and always up to date fashion
 rather than advertisement overloaded HTML
 email monstrosities or countless vendor-specific apps.
