=== debian/control ===
Source: itinerary
Section: misc
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Scarlett Moore <sgclark@kde.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-tests <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6~),
               iso-codes <!nocheck>,
               kirigami-addons-dev (>= 1.5.0~),
               kosmindoormap-dev (>= 25.08.3~),
               libical-dev (>= 3.0~),
               libkf6archive-dev (>= 6.6~),
               libkf6calendarcore-dev (>= 6.6~),
               libkf6colorscheme-dev (>= 6.6~),
               libkf6contacts-dev (>= 6.6~),
               libkf6coreaddons-dev (>= 6.6~),
               libkf6crash-dev (>= 6.6~),
               libkf6dbusaddons-dev (>= 6.6~),
               libkf6filemetadata-dev (>= 6.6~),
               libkf6holidays-dev (>= 6.6~),
               libkf6i18n-dev (>= 6.6~),
               libkf6kio-dev (>= 6.6~),
               libkf6networkmanagerqt-dev (>= 6.6~),
               libkf6notifications-dev (>= 6.6~),
               libkf6prison-dev (>= 6.6~),
               libkf6qqc2desktopstyle-dev (>= 6.6~),
               libkf6solid-dev (>= 6.6~),
               libkf6unitconversion-dev (>= 6.6~),
               libkf6windowsystem-dev (>= 6.6~),
               libkirigami-dev (>= 6.6~),
               libkitinerary-dev (>= 25.08.3~),
               libkpkpass-dev (>= 25.08.3~),
               libkpublictransport-dev (>= 25.08.3~),
               libquotient-dev (>= 0.7.2~),
               libssl-dev,
               locales-all <!nocheck>,
               qml6-module-qtlocation <!nocheck>,
               qt6-base-dev (>= 6.5~),
               qt6-declarative-dev (>= 6.5~),
               qt6-declarative-private-dev,
               qt6-positioning-dev (>= 6.5~),
               qt6-svg-dev,
               qtkeychain-qt6-dev,
               shared-mime-info (>= 1.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://www.kde.org/
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/itinerary
Rules-Requires-Root: no

Package: itinerary
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Digital travel assistant protecting your privacy
 Getting your itinerary presented in a unified, well structured and always up
 to date fashion rather than advertisement overloaded HTML email monstrosities
 or countless vendor-specific apps.
